Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(65)

Side by Side Diff: chrome_linux64/installer/common/prerm.include

Issue 85333005: Update reference builds to Chrome 32.0.1700.19 (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/deps/reference_builds/
Patch Set: Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
OLDNEW
1 # Remove icons from the system icons 1 # Remove icons from the system icons
2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null`" 2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null || true`"
3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then 3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then
4 echo "Error: Could not find xdg-icon-resource" >&2 4 echo "Error: Could not find xdg-icon-resource" >&2
5 exit 1 5 exit 1
6 fi 6 fi
7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do 7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do
8 size="${icon##*/product_logo_}" 8 size="${icon##*/product_logo_}"
9 "$XDG_ICON_RESOURCE" uninstall --size "${size%.png}" "@@PACKAGE@@" 9 "$XDG_ICON_RESOURCE" uninstall --size "${size%.png}" "@@PACKAGE@@"
10 done 10 done
11 11
12 # Remove the entry from the system menu 12 # Remove the entry from the system menu
13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null`" 13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null || true`"
14 UPDATE_MENUS="`which update-menus 2> /dev/null`" 14 UPDATE_MENUS="`which update-menus 2> /dev/null || true`"
15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then 15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then
16 echo "Error: Could not find xdg-desktop-menu" >&2 16 echo "Error: Could not find xdg-desktop-menu" >&2
17 exit 1 17 exit 1
18 fi 18 fi
19 "$XDG_DESKTOP_MENU" uninstall @@INSTALLDIR@@/@@PACKAGE@@.desktop 19 "$XDG_DESKTOP_MENU" uninstall @@INSTALLDIR@@/@@PACKAGE@@.desktop
20 20
21 if [ -x "$UPDATE_MENUS" ]; then 21 if [ -x "$UPDATE_MENUS" ]; then
22 update-menus 22 update-menus
23 fi 23 fi
OLDNEW
« no previous file with comments | « chrome_linux64/installer/common/postinst.include ('k') | chrome_linux64/installer/common/updater » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698